export declare enum EntryType {
    Text = "text",
    Password = "password",
    Multiline = "multiline",
    Url = "url",
    FileHeader = "file-header",
    FileContent = "file-content"
}
export interface Account {
    id?: string;
    created?: string;
    groupId?: string;
    name: string;
    description: string;
    entries: Entry[];
}
export interface Entry {
    name: string;
    key: string;
    value: string;
    type: EntryType;
}
