export declare enum MemberRole {
    ADMIN = "ADMIN",
    EDITOR = "EDITOR",
    VIEWER = "VIEWER"
}
export interface Member {
    groupId: string;
    userId: string;
    created: string;
    role: MemberRole;
}
export interface MemberInfo {
    id: string;
    groupId: string;
    created: string;
    joined: string;
    name: string;
    email: string;
    role: MemberRole;
}
