import { FormConfig } from "../models/form-config";
import { Account, EntryType } from "../models/account";
import * as i0 from "@angular/core";
export declare class FormConfigService {
    createGroupConfig(name: string, description: string): FormConfig;
    mapToAccount(config: FormConfig, value: {
        name: string;
        description: string;
        [key: string]: string;
    }): Account;
    mapFromAccount(account: Account, addHeader: boolean): FormConfig;
    private mapAccountEntry;
    private mapFormEntry;
    addFormConfig(config: FormConfig, name: string, type: EntryType): FormConfig;
    deleteFormConfig(config: FormConfig, key: string): FormConfig;
    private generateUniqueKey;
    static ɵfac: i0.ɵɵFactoryDeclaration<FormConfigService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<FormConfigService>;
}
