import { InjectionToken, ModuleWithProviders, Provider } from '@angular/core';
import { Environment } from './models/environment';
import * as i0 from "@angular/core";
import * as i1 from "@angular/common";
export declare const ENVIRONMENT: InjectionToken<Environment>;
export interface LibConfig {
    environment: Provider;
}
export declare class AccountTrackerLibModule {
    static forRoot(config: LibConfig): ModuleWithProviders<AccountTrackerLibModule>;
    static ɵfac: i0.ɵɵFactoryDeclaration<AccountTrackerLibModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<AccountTrackerLibModule, never, [typeof i1.CommonModule], never>;
    static ɵinj: i0.ɵɵInjectorDeclaration<AccountTrackerLibModule>;
}
