import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { MemberInfo, MemberRole } from '../models/member';
import { Environment } from '../models/environment';
import * as i0 from "@angular/core";
export declare class MemberService {
    private environment;
    private http;
    constructor(environment: Environment, http: HttpClient);
    members(groupId: string): Observable<MemberInfo[]>;
    addMember(groupId: string, memberId: string, role: MemberRole): Observable<void>;
    updateMemberRole(groupId: string, memberId: string, role: MemberRole): Observable<void>;
    removeMember(groupId: string, memberId: string): Observable<void>;
    static ɵfac: i0.ɵɵFactoryDeclaration<MemberService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<MemberService>;
}
